version: '3.4'
services:
  schema-definitions-migration:
    image: registry.gitlab.com/operator-ict/golemio/code/schema-definitions/{{ generator_docker_branch | default('master') }}:latest
    command: npm run migrate-db
    environment:
      POSTGRES_CONN: "postgres://{{ (pg_users |  selectattr('name', 'search', 'integration_engine') | list | first).name }}:{{ (pg_users |  selectattr('name', 'search', 'integration_engine') | list | first).password }}@{{ pg.host }}:{{ pg.port | default(5432)}}/{{ pg_databases.dataplatform.name }}"
      MONGO_CONN: "mongodb://migrations:{{ mongo_users.migrations.password }}@{{ mongo.host }}:{{ mongo.port | default('27017') }}/dataplatform?authSource=admin"
{% if docker.services.enable_pg == true or docker.services.enable_mongo == true %}
    networks:
      - database
{% endif %}
    deploy:
      placement:
        constraints:
          - node.labels.type-back==true
      restart_policy:
        condition: none
      resources:
        reservations:
          cpus: "0.05"
          memory: "100M"
        limits:
          cpus: "0.5"
          memory: "1000M"

{% if docker.services.enable_pg == true or docker.services.enable_mongo == true %}
networks:
  database:
    external: true
{% endif %}
